Index: CKEditor/releases/latest/_source/lang/fa.js
===================================================================
--- CKEditor/releases/latest/_source/lang/fa.js	(revision 4887)
+++ CKEditor/releases/latest/_source/lang/fa.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'فرم',
 		checkbox		: 'خانهٴ گزینهای',
-		radio		: 'دکمهٴ رادیویی',
+		radio			: 'دکمهٴ رادیویی',
 		textField		: 'فیلد متنی',
 		textarea		: 'ناحیهٴ متنی',
 		hiddenField		: 'فیلد پنهان',
 		button			: 'دکمه',
-		select	: 'فیلد چندگزینهای',
+		select			: 'فیلد چندگزینهای',
 		imageButton		: 'دکمهٴ تصویری',
 		notSet			: '<تعیننشده>',
@@ -89,9 +93,17 @@
 		ok				: 'پذیرش',
 		cancel			: 'انصراف',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'General', // MISSING
 		advancedTab		: 'پیشرفته',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'پیشرفته',
 		type		: 'نوع پیوند',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'لنگر در همین صفحه',
 		toEmail		: 'پست الکترونیکی',
-		target		: 'مقصد',
-		targetNotSet	: '<تعیننشده>',
-		targetFrame	: '<فریم>',
-		targetPopup	: '<پنجرهٴ پاپاپ>',
-		targetNew	: 'پنجرهٴ دیگر (_blank)',
-		targetTop	: 'بالاترین پنجره (_top)',
-		targetSelf	: 'همان پنجره (_self)',
-		targetParent	: 'پنجرهٴ والد (_parent)',
+		targetFrame		: '<فریم>',
+		targetPopup		: '<پنجرهٴ پاپاپ>',
 		targetFrameName	: 'نام فریم مقصد',
 		targetPopupName	: 'نام پنجرهٴ پاپاپ',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'نوار وضعیت',
-		popupLocationBar	: 'نوار موقعیت',
+		popupLocationBar: 'نوار موقعیت',
 		popupToolbar	: 'نوارابزار',
 		popupMenuBar	: 'نوار منو',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'جهتنمای زبان',
-		langDirNotSet	: '<تعیننشده>',
 		langDirLTR		: 'چپ به راست (LTR)',
 		langDirRTL		: 'راست به چپ (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'اندازهٴ لبه',
 		align		: 'چینش',
-		alignNotSet	: '<تعیننشده>',
 		alignLeft	: 'چپ',
 		alignCenter	: 'وسط',
@@ -211,4 +216,5 @@
 		widthPx		: 'پیکسل',
 		widthPc		: 'درصد',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'درازا',
 		cellSpace	: 'فاصلهٴ میان سلولها',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'رویداد',
 		method		: 'متد',
-		encoding	: 'Encoding', // MISSING
-		target		: 'مقصد',
-		targetNotSet	: '<تعیننشده>',
-		targetNew	: 'پنجرهٴ دیگر (_blank)',
-		targetTop	: 'بالاترین پنجره (_top)',
-		targetSelf	: 'همان پنجره (_self)',
-		targetParent	: 'پنجرهٴ والد (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'ویژگیهای دکمهٴ تصویری',
 		menu		: 'ویژگیهای تصویر',
-		infoTab	: 'اطلاعات تصویر',
+		infoTab		: 'اطلاعات تصویر',
 		btnUpload	: 'به سرور بفرست',
-		url		: 'URL',
-		upload	: 'انتقال به سرور',
-		alt		: 'متن جایگزین',
+		upload		: 'انتقال به سرور',
+		alt			: 'متن جایگزین',
 		width		: 'پهنا',
-		height	: 'درازا',
+		height		: 'درازا',
 		lockRatio	: 'قفلکردن ِنسبت',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'بازنشانی اندازه',
-		border	: 'لبه',
-		hSpace	: 'فاصلهٴ افقی',
-		vSpace	: 'فاصلهٴ عمودی',
+		border		: 'لبه',
+		hSpace		: 'فاصلهٴ افقی',
+		vSpace		: 'فاصلهٴ عمودی',
 		align		: 'چینش',
 		alignLeft	: 'چپ',
 		alignRight	: 'راست',
-		preview	: 'پیشنمایش',
 		alertUrl	: 'لطفا URL تصویر را بنویسید',
-		linkTab	: 'پیوند',
+		linkTab		: 'پیوند',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'ویژگیهای Flash',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'ویژگیهای Flash',
-		chkPlay		: 'آغاز ِخودکار',
-		chkLoop		: 'اجرای پیاپی',
-		chkMenu		: 'دردسترسبودن منوی Flash',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'مقیاس',
+		title			: 'ویژگیهای Flash',
+		chkPlay			: 'آغاز ِخودکار',
+		chkLoop			: 'اجرای پیاپی',
+		chkMenu			: 'دردسترسبودن منوی Flash',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'مقیاس',
 		scaleAll		: 'نمایش همه',
 		scaleNoBorder	: 'بدون کران',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'چینش',
-		alignLeft	: 'چپ',
-		alignAbsBottom: 'پائین مطلق',
-		alignAbsMiddle: 'وسط مطلق',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'چینش',
+		alignLeft		: 'چپ',
+		alignAbsBottom	: 'پائین مطلق',
+		alignAbsMiddle	: 'وسط مطلق',
 		alignBaseline	: 'خطپایه',
-		alignBottom	: 'پائین',
-		alignMiddle	: 'وسط',
-		alignRight	: 'راست',
+		alignBottom		: 'پائین',
+		alignMiddle		: 'وسط',
+		alignRight		: 'راست',
 		alignTextTop	: 'متن بالا',
-		alignTop	: 'بالا',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'رنگ پسزمینه',
-		width	: 'پهنا',
-		height	: 'درازا',
-		hSpace	: 'فاصلهٴ افقی',
-		vSpace	: 'فاصلهٴ عمودی',
-		validateSrc : 'لطفا URL پیوند را بنویسید',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'بالا',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'رنگ پسزمینه',
+		width			: 'پهنا',
+		height			: 'درازا',
+		hSpace			: 'فاصلهٴ افقی',
+		vSpace			: 'فاصلهٴ عمودی',
+		validateSrc		: 'لطفا URL پیوند را بنویسید',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'فهرست شمارهدار',
-	bulletedlist : 'فهرست نقطهای',
-	indent : 'افزایش تورفتگی',
-	outdent : 'کاهش تورفتگی',
+	numberedlist	: 'فهرست شمارهدار',
+	bulletedlist	: 'فهرست نقطهای',
+	indent			: 'افزایش تورفتگی',
+	outdent			: 'کاهش تورفتگی',
 
 	justify :
 	{
-		left : 'چپچین',
-		center : 'میانچین',
-		right : 'راستچین',
-		block : 'بلوکچین'
+		left	: 'چپچین',
+		center	: 'میانچین',
+		right	: 'راستچین',
+		block	: 'بلوکچین'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'تنظیمات امنیتی مرورگر شما اجازه نمیدهد که ویرایشگر به طور خودکار عملکردهای کپیکردن را انجام دهد. لطفا با دکمههای صفحهکلید این کار را انجام دهید (Ctrl+C).',
 		pasteMsg	: 'لطفا متن را با کلیدهای (<STRONG>Ctrl+V</STRONG>) در این جعبهٴ متنی بچسبانید و <STRONG>پذیرش</STRONG> را بزنید.',
-		securityMsg	: 'به خاطر تنظیمات امنیتی مرورگر شما، ویرایشگر نمیتواند دسترسی مستقیم به دادههای clipboard داشته باشد. شما باید دوباره آنرا در این پنجره بچسبانید.'
+		securityMsg	: 'به خاطر تنظیمات امنیتی مرورگر شما، ویرایشگر نمیتواند دسترسی مستقیم به دادههای clipboard داشته باشد. شما باید دوباره آنرا در این پنجره بچسبانید.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'چسباندن از Word',
-		title : 'چسباندن از Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'چسباندن از Word',
+		title			: 'چسباندن از Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'چسباندن به عنوان متن ِساده',
-		title : 'چسباندن به عنوان متن ِساده'
+		button	: 'چسباندن به عنوان متن ِساده',
+		title	: 'چسباندن به عنوان متن ِساده'
 	},
 
 	templates :
 	{
-		button : 'الگوها',
-		title : 'الگوهای محتویات',
-		insertOption: 'محتویات کنونی جایگزین شوند',
-		selectPromptMsg: 'لطفا الگوی موردنظر را برای بازکردن در ویرایشگر برگزینید<br>(محتویات کنونی از دست خواهند رفت):',
-		emptyListMsg : '(الگوئی تعریف نشده است)'
+		button			: 'الگوها',
+		title			: 'الگوهای محتویات',
+		insertOption	: 'محتویات کنونی جایگزین شوند',
+		selectPromptMsg	: 'لطفا الگوی موردنظر را برای بازکردن در ویرایشگر برگزینید<br>(محتویات کنونی از دست خواهند رفت):',
+		emptyListMsg	: '(الگوئی تعریف نشده است)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'سبک',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'سبک',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'فرمت',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'فرمت',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'نرمال',
-		tag_pre : 'فرمتشده',
-		tag_address : 'آدرس',
-		tag_h1 : 'سرنویس 1',
-		tag_h2 : 'سرنویس 2',
-		tag_h3 : 'سرنویس 3',
-		tag_h4 : 'سرنویس 4',
-		tag_h5 : 'سرنویس 5',
-		tag_h6 : 'سرنویس 6',
-		tag_div : 'بند'
+		label		: 'فرمت',
+		panelTitle	: 'فرمت',
+
+		tag_p		: 'نرمال',
+		tag_pre		: 'فرمتشده',
+		tag_address	: 'آدرس',
+		tag_h1		: 'سرنویس 1',
+		tag_h2		: 'سرنویس 2',
+		tag_h3		: 'سرنویس 3',
+		tag_h4		: 'سرنویس 4',
+		tag_h5		: 'سرنویس 5',
+		tag_h6		: 'سرنویس 6',
+		tag_div		: 'بند'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'قلم',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'قلم',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'قلم',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'قلم'
 	},
 
 	fontSize :
 	{
-		label : 'اندازه',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'اندازه',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'اندازه',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'اندازه'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'رنگ متن',
-		bgColorTitle : 'رنگ پسزمینه',
-		auto : 'خودکار',
-		more : 'رنگهای بیشتر...'
+		textColorTitle	: 'رنگ متن',
+		bgColorTitle	: 'رنگ پسزمینه',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'خودکار',
+		more			: 'رنگهای بیشتر...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
